Bug 534386 - (RHQ-1188) dbutils should have a way to create named constraints
dbutils should have a way to create named constraints
Status: NEW
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 12:29 EST by John Mazzitelli
Modified: 2010-08-24 13:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-11-26 12:29:00 EST
we need a way for dbutils -schema.xml files to generate named constraints.  On Oracle, we rely on it generating names - but that makes it hard to db-upgrade them later.
Comment 1 John Mazzitelli 2008-11-26 12:32:42 EST
this may or may not already be supported by dbutils - we need to look to see if there is any XML that supports the naming of constraints. If not, we need to add it.  Either way, we then need to alter our -schema.xml files to create new constraint names (perhaps have db-upgrade to rename them too so error messages for constr. vios are easier to understand?)
Comment 2 Red Hat Bugzilla 2009-11-10 15:27:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1188
Comment 3 wes hayutin 2010-02-16 12:10:12 EST
mass add of key word FutureFeature to help track
Comment 4 Corey Welton 2010-08-18 11:22:02 EDT
mazz, is this still an issue?
Comment 5 John Mazzitelli 2010-08-24 13:41:28 EDT
if we plan on moving to Liquibase, we should close this as obsolete.

if we do not plan on that, but we continue to use dbsetup/dbupgrade, we need to address this.

Note You need to log in before you can comment on or make changes to this bug.